<section class="content-header" *ngIf="isLoggedIn" >
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>Chat

        </h1>

      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a style="color: dodgerblue">Profile</a></li>
          <li class="breadcrumb-item active">Chat</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>
<div class="content" *ngIf="isLoggedIn"  style="margin-top: -35px">
  <div class="main-body" >
    <div class="card" >
      <div class="row g-0" style="margin-top: 10px">
        <div class="col-12 col-lg-5 col-xl-3 border-right" >

          <div class="px-4 d-none d-md-block">
            <div class="d-flex align-items-center">
              <div class="flex-grow-1">
                <input hidden type="text" class="form-control my-3" placeholder="Search...">
              </div>
            </div>
          </div>
          <div  style="overflow: scroll; overflow-y:hidden; overflow-x: hidden ; max-height: 400px">
            <div *ngFor="let m of lastMessages">


            <a *ngIf="isSender(m)" [routerLink]="['/chatroom',m.receiverId]" class="list-group-item list-group-item-action border-0">
            <div class="badge bg-success float-right" hidden >0</div>
            <div class="d-flex align-items-start">
          <app-chat-photo [senderId]="m.receiverId"></app-chat-photo>
              <div class="flex-grow-1 ml-3">
                {{m.receiverId}}
<!--                <span class="fas fa-circle chat-online"></span>-->
                <div class="small"> {{m.content |slice:0:16}} <a *ngIf="m.content.length>16">...</a></div>
              </div>
            </div>
          </a>
              <a *ngIf="!isSender(m)"  [routerLink]="['/chatroom',m.senderId]" class="list-group-item list-group-item-action border-0">
                <div class="badge bg-success float-right" hidden >0</div>
                <div class="d-flex align-items-start">
                  <app-chat-photo [senderId]="m.senderId"></app-chat-photo>                  <div class="flex-grow-1 ml-3">
                    {{m.senderId}}
                    <!--                <span class="fas fa-circle chat-online"></span>-->
                    <div class="small"> {{m.content |slice:0:16}} <a *ngIf="m.content.length>16">...</a></div>
                  </div>
                </div>
              </a>

            </div>
          </div>
          <hr class="d-block d-lg-none mt-1 mb-0">
        </div>

        <div class="col-12 col-lg-7 col-xl-9">
<!--         <app-chat-discussion [receiver]="selectedDiscussion"></app-chat-discussion>-->
          <div class="py-2 px-4 border-bottom d-none d-lg-block">
            <div class="d-flex align-items-center py-1">
              <div class="position-relative">
                <img *ngIf="receiver" [src]="retrievedImageReceiver" class="rounded-circle mr-1"  width="40" height="40">
              </div>
              <div class="flex-grow-1 pl-3">
                <strong>{{receiver}}</strong>
                <!--      <div class="text-muted small"><em>Typing...</em></div>-->
              </div>
              <div>
                <!--      <button class="btn btn-primary btn-lg mr-1 px-3"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone feather-lg"><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg></button>-->
                <!--      <button class="btn btn-info btn-lg mr-1 px-3 d-none d-md-inline-block"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-video feather-lg"><polygon points="23 7 16 12 23 17 23 7"></polygon><rect x="1" y="5" width="15" height="14" rx="2" ry="2"></rect></svg></button>-->
                <button class="btn btn-light border btn-lg px-3"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-more-horizontal feather-lg"><circle cx="12" cy="12" r="1"></circle><circle cx="19" cy="12" r="1"></circle><circle cx="5" cy="12" r="1"></circle></svg></button>
              </div>
            </div>
          </div>

          <div class="position-relative" >
            <div class="chat-messages p-4" #scrollMe style="overflow: scroll;overflow-x: hidden ; overflow-y: unset ; height: 358px">
              <div *ngFor="let chatMessage of webSocketService.chatMessages">
                <div *ngIf="isSender2(chatMessage.senderId)">
                  <div class="chat-message-right pb-4" >
                    <div>
                      <img [src]="retrievedImage" class="rounded-circle mr-1"  width="40" height="40">
                      <div class="text-muted small text-nowrap mt-2">{{chatMessage.sentAt|date:'h:mm a'}}</div>
                    </div>
                    <div class="flex-shrink-1 bg-primary rounded py-2 px-3 mr-3" style="height: 7%">
                      <!--        <div class="font-weight-bold mb-1 " style="color: dodgerblue">You</div>-->
                      {{chatMessage.content}}
                    </div>
                  </div>
                </div>
                <div *ngIf="!isSender2(chatMessage.senderId)" (show)="!isSender2(chatMessage.senderId)">
                  <div class="chat-message-left pb-4">
                    <div>
                      <img [src]="retrievedImageReceiver" class="rounded-circle mr-1"  width="40" height="40">
                      <div class="text-muted small text-nowrap mt-2">{{chatMessage.sentAt|date:'h:mm a'}}</div>
                    </div>
                    <div class="flex-shrink-1 bg-light rounded py-2 px-3 ml-3">
                      <!--        <div class="font-weight-bold mb-1">{{chatMessage.senderId}}</div>-->
                      {{chatMessage.content}}
                    </div>
                  </div>
                </div>
              </div>


            </div>
          </div>

          <div class="flex-grow-0 py-3 px-4 border-top">
            <form  #sendForm="ngForm" [noValidate]="sendForm.form.invalid">
              <div class="input-group">
                <input type="text" class="form-control" id="input-message" minlength="3" name="message" placeholder="Type your message" ngModel>
                <button (click)="sendMessage(sendForm)" [hidden]="sendForm.value.message.length<1" class="btn btn-primary">Send</button>
              </div>
            </form>
          </div>

        </div>

      </div>
    </div>
  </div>
</div>
